libapreq2-2.08: libapreq2: include/apreq_version.h File Reference

Apache HTTP Server Request Library

- Main Page
- Modules
- Data Structures
- Files
- Related Pages
- Examples

- File List
- Globals

# include/apreq_version.h File Reference

Versioning API for libapreq

There are several different mechanisms for accessing the version. There is a string form, and a set of numbers; in addition, there are constants which can be compiled into your application, and you can query the library being used for its actual version. More...

`#include "apr_version.h"`
`#include "apreq.h"`

Go to the source code of this file.

## Defines
#define | APREQ_MAJOR_VERSION 2
#define | APREQ_MINOR_VERSION 6
#define | APREQ_PATCH_VERSION 0
#define | APREQ_VERSION_STRING
#define | APREQ_IS_DEV_STRING ""
## Functions
void | apreq_version (apr_version_t *pvsn)
const char * | apreq_version_string (void)

## Detailed Description

Versioning API for libapreq

There are several different mechanisms for accessing the version. There is a string form, and a set of numbers; in addition, there are constants which can be compiled into your application, and you can query the library being used for its actual version.

Note that it is possible for an application to detect that it has been compiled against a different version of libapreq by use of the compile-time constants and the use of the run-time query function.

libapreq version numbering follows the guidelines specified in:

http://apr.apache.org/versioning.html

## Define Documentation

#define APREQ_IS_DEV_STRING ""

| Internal: string form of the "is dev" flag

#define APREQ_MAJOR_VERSION 2

| major version Major API changes that could cause compatibility problems for older programs such as structure size changes. No binary compatibility is possible across a change in the major version.

#define APREQ_MINOR_VERSION 6

| Minor API changes that do not cause binary compatibility problems. Should be reset to 0 when upgrading APREQ_MAJOR_VERSION

#define APREQ_PATCH_VERSION 0

| patch level

#define APREQ_VERSION_STRING

| Value:
    APR_STRINGIFY(APREQ_MAJOR_VERSION) "." \
         APR_STRINGIFY(APREQ_MINOR_VERSION) "." \
         APR_STRINGIFY(APREQ_PATCH_VERSION) \
         APREQ_IS_DEV_STRING
The formatted string of libapreq's version

## Function Documentation

void apreq_version | ( | apr_version_t * | pvsn | ) |

  | Return libapreq's version information information in a numeric form. Parameters:
  | pvsn | Pointer to a version structure for returning the version information.

const char* apreq_version_string | ( | void |  | ) |

| Return libapreq's version information as a string.